import { useEffect } from 'react'
import { ProductProvider } from '../../../modules/simulation/products/productContext'
import MainScene from './MainScene'
import { useSceneContext } from '../../../modules/scene/sceneContext';

function MainSceneProvider() {
    const { assetStore } = useSceneContext();
    const { clearAssets } = assetStore();

    useEffect(() => {
        clearAssets();
    }, [])

    return (
        <ProductProvider>
            <MainScene />
        </ProductProvider>
    )
}

export default MainSceneProvider